#include<iostream>
using namespace std;
int main ()
{
int n, d, k, c=0, b=0;
    cin>>n>>d>>k;
    for(int i=1; i<=k; i++)
    {
        b=i*d;
        if(b>n)
        {
            b-=n;
        }
        c+=b;
    }
    cout<<c;
    return 0;
}
